<?php
/**
 * @package curiosity-lite
 * 
 * Contenr-Quote
 */

$quote_content = trim ( get_post_meta ( get_the_ID() , '_curiosity_quote-content' , true ) );
if ($quote_content == '') {
	$quote_content = get_the_content();
}
$quote_author = get_post_meta ( get_the_ID() , '_curiosity_quote-author' , true );
if ( $quote_author && $quote_author_url = get_post_meta ( get_the_ID() , '_curiosity_quote-author-url' , true ) ) {
$quote_author = '<a href="' . esc_url ( $quote_author_url ) . '">' . $quote_author . '</a>';
}
?>

<article <?php post_class('article');?> id="post-<?php the_ID();?>">
    <div class="index-box">	
	<div class="blockquote">
		<blockquote>
			<p><?php echo $quote_content;?></p>
			<?php if ( $quote_author ):?>
			<cite class="quote-author"><?php echo $quote_author;?></cite>
			<?php endif;?>
		</blockquote>
	</div><!-- .blockquote -->
    </div><!-- .index-box -->
</article><!-- .post -->