<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package curiosity-lite
 */
?>

</div><!-- #content -->

    <footer id="colophon" class="site-footer">

    <?php 
    /* FOOTER WIDGETS
    ----------------------------------------------- */
    
    $footer_widgets = esc_html(curiosity_sanitize_footer_widgets(get_theme_mod( 'footer_widgets', 'three_columns' )));
    ?>     

        <?php if ($footer_widgets == ('four_columns')){ ?> 

        <div class="footer-widgets">
        <div class="footer-widgets-border">
            <div class="col-3">
                <?php dynamic_sidebar( 'footer-1' ); ?>
            </div>
            <div class="col-3">
                <?php dynamic_sidebar( 'footer-2' ); ?>
            </div>
            <div class="col-3">
                <?php dynamic_sidebar( 'footer-3' ); ?>
            </div>
            <div class="col-3 last">
                <?php dynamic_sidebar( 'footer-4' ); ?>
            </div>
        </div><!-- .footer-widgets-border --> 
        <div class="clearfix"></div>
        </div><!-- .footer-widgets -->

        <?php } else if ($footer_widgets == ('three_columns')) { ?>

        <div class="footer-widgets">
        <div class="footer-widgets-border">
            <div class="col-4" >
                <?php dynamic_sidebar( 'footer-1' ); ?>
            </div>
            <div class="col-4" >
                <?php dynamic_sidebar( 'footer-2' ); ?>
            </div>
            <div class="col-4" >
                <?php dynamic_sidebar( 'footer-3' ); ?>
            </div>
        </div><!-- .footer-widgets-border --> 
        <div class="clearfix"></div>
        </div><!-- .footer-widgets -->

       <?php } ?>

        <div class="clearfix"></div>
        
        <!--     Copyright Area     -->
        
        <div class="site-info-holder">
            <div class="site-info">
                    <?php $copyright =  wp_kses_post(get_theme_mod( 'curiosity_copyright', '2016 Name of Company' )); ?>     

                    <?php if ($copyright != ('')){ ?> 
                    <span class="copyrightholder"><?php echo stripslashes($copyright); ?></span>
                    <?php } ?>
            </div><!-- .site-info -->
        </div><!-- .site-info-holder -->
        
    </footer><!-- #colophon -->
    
</div><!-- .pagecontainer -->
</div><!-- .pageholder -->
</div><!-- .pagebottom -->
</div><!-- .pagecontent -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>