<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package curiosity-lite
 */
 ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
          
    <div class="entry-content">
    
    <?php 
    /* Title Options
    ----------------------------------------------- */
    $subtitle = get_post_meta(get_the_ID(),'_curiosity_subtitle',true);
    $subtitle = trim($subtitle);
    $hide_title = get_post_meta(get_the_ID(),'_curiosity_hide-title-area',true);


    if ( !$hide_title ): // if hide title not set to true ?>	
    
    <div class="heading" align="center">
        <div class="heading-holder">
        <h1 class="h"><?php esc_html(the_title()); ?></h1>
        </div>
        <?php if ($subtitle):?>
        <div class="subtitle"><?php echo esc_html($subtitle); ?></div>
        <?php endif;?>                   
    </div>

    <?php endif;?> 

    <?php the_content(); ?>
        
    <?php
    wp_link_pages( array(
    'before' => '<div class="page-links">' . __( 'Pages:', 'curiosity-lite' ),
    'after'  => '</div>',
    ) );
    ?>
        
    </div><!-- .entry-content -->
    
        <?php edit_post_link( __( 'Edit', 'curiosity-lite' ), '<footer class="entry-footer"><span class="edit-link">', '</span></footer>' ); ?>
</article><!-- #post-## -->

        <?php
        

        // If comments are open or we have at least one comment, load up the comment template
        if ( comments_open() || '0' != get_comments_number() ) :
                comments_template();
        endif;
