<style type="text/css">
<?php 
$widget_background_color = esc_html(get_theme_mod( 'default_widget_background_color', 'blue' ));
$archives_background_color = esc_html(get_theme_mod( 'archives_background_color', 'purple' ));
$calendar_background_color = esc_html(get_theme_mod( 'calendar_background_color', 'none' ));
$categories_background_color = esc_html(get_theme_mod( 'categories_background_color', 'yellow' ));
$meta_background_color = esc_html(get_theme_mod( 'meta_background_color', 'purple' ));
$custom_menu_background_color = esc_html(get_theme_mod( 'custom_menu_background_color', 'yellow' ));
$search_widget_background_color = esc_html(get_theme_mod( 'search_widget_background_color', 'none' ));
$color_of_footer = esc_html(get_theme_mod( 'color_of_footer', 'yellow' ));
?>

<?php if ($widget_background_color == 'purple') { ?>  

.widget {
background-color: rgba(90,45,52, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(90,45,52, 0.2)));
		background: -moz-linear-gradient(center top, rgba(90,45,52, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(90,45,52, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(90,45,52, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(90,45,52, 0.5);
border-top: 5px solid #5a2d34;
}                 
<?php } elseif ($widget_background_color == 'blue') { ?>
.widget {
background-color: rgba(38,73,107, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(38,73,107, 0.2)));
 		background: -moz-linear-gradient(center top, rgba(38,73,107, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(38,73,107, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(38,73,107, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(38,73,107, 0.5);
border-top: 5px solid #26496b;
}                
<?php } elseif ($widget_background_color == 'yellow') { ?>
.widget {
background-color: rgba(144, 137, 55, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(144, 137, 55, 0.2)));
		background: -moz-linear-gradient(center top, rgba(144, 137, 55, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(144, 137, 55, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(144, 137, 55, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(144, 137, 55, 0.5);
border-top: 5px solid rgba(144, 137, 55, 1.0);
}                
<?php } else { ?>
.widget {
background: transparent;
border: none; 
}
<?php } ?>

<?php if ($archives_background_color == 'purple') { ?>  

.widget_archive {
background-color: rgba(90,45,52, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(90,45,52, 0.2)));
		background: -moz-linear-gradient(center top, rgba(90,45,52, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(90,45,52, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(90,45,52, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(90,45,52, 0.5);
border-top: 5px solid #5a2d34;
}                 
<?php } elseif ($archives_background_color == 'blue') { ?>
.widget_archive {
background-color: rgba(38,73,107, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(38,73,107, 0.2)));
 		background: -moz-linear-gradient(center top, rgba(38,73,107, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(38,73,107, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(38,73,107, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(38,73,107, 0.5);
border-top: 5px solid #26496b;
}                
<?php } elseif ($archives_background_color == 'yellow') { ?>
.widget_archive {
background-color: rgba(144, 137, 55, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(144, 137, 55, 0.2)));
		background: -moz-linear-gradient(center top, rgba(144, 137, 55, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(144, 137, 55, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(144, 137, 55, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(144, 137, 55, 0.5);
border-top: 5px solid rgba(144, 137, 55, 1.0);
}                
<?php } else { ?>
.widget_archive {
background: transparent;
border: none; 
}
<?php } ?>

<?php if ($calendar_background_color == 'purple') { ?>  

.widget_calendar {
background-color: rgba(90,45,52, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(90,45,52, 0.2)));
		background: -moz-linear-gradient(center top, rgba(90,45,52, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(90,45,52, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(90,45,52, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(90,45,52, 0.5);
border-top: 5px solid #5a2d34;
}                 
<?php } elseif ($calendar_background_color == 'blue') { ?>
.widget_calendar {
background-color: rgba(38,73,107, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(38,73,107, 0.2)));
 		background: -moz-linear-gradient(center top, rgba(38,73,107, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(38,73,107, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(38,73,107, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(38,73,107, 0.5);
border-top: 5px solid #26496b;
}                
<?php } elseif ($calendar_background_color == 'yellow') { ?>
.widget_calendar {
background-color: rgba(144, 137, 55, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(144, 137, 55, 0.2)));
		background: -moz-linear-gradient(center top, rgba(144, 137, 55, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(144, 137, 55, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(144, 137, 55, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(144, 137, 55, 0.5);
border-top: 5px solid rgba(144, 137, 55, 1.0);
}                
<?php } else { ?>
.widget_calendar {
background: transparent;
border: none; 
}
<?php } ?>

<?php if ($categories_background_color == 'purple') { ?>  

.widget_categories {
background-color: rgba(90,45,52, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(90,45,52, 0.2)));
		background: -moz-linear-gradient(center top, rgba(90,45,52, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(90,45,52, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(90,45,52, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(90,45,52, 0.5);
border-top: 5px solid #5a2d34;
}                 
<?php } elseif ($categories_background_color == 'blue') { ?>
.widget_categories {
background-color: rgba(38,73,107, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(38,73,107, 0.2)));
 		background: -moz-linear-gradient(center top, rgba(38,73,107, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(38,73,107, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(38,73,107, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(38,73,107, 0.5);
border-top: 5px solid #26496b;
}                
<?php } elseif ($categories_background_color == 'yellow') { ?>
.widget_categories {
background-color: rgba(144, 137, 55, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(144, 137, 55, 0.2)));
		background: -moz-linear-gradient(center top, rgba(144, 137, 55, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(144, 137, 55, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(144, 137, 55, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(144, 137, 55, 0.5);
border-top: 5px solid rgba(144, 137, 55, 1.0);
}                
<?php } else { ?>
.widget_categories {
background: transparent;
border: none; 
}
<?php } ?>

<?php if ($meta_background_color == 'purple') { ?>  

.widget_meta {
background-color: rgba(90,45,52, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(90,45,52, 0.2)));
		background: -moz-linear-gradient(center top, rgba(90,45,52, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(90,45,52, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(90,45,52, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(90,45,52, 0.5);
border-top: 5px solid #5a2d34;
}                 
<?php } elseif ($meta_background_color == 'blue') { ?>
.widget_meta {
background-color: rgba(38,73,107, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(38,73,107, 0.2)));
 		background: -moz-linear-gradient(center top, rgba(38,73,107, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(38,73,107, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(38,73,107, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(38,73,107, 0.5);
border-top: 5px solid #26496b;
}                
<?php } elseif ($meta_background_color == 'yellow') { ?>
.widget_meta {
background-color: rgba(144, 137, 55, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(144, 137, 55, 0.2)));
		background: -moz-linear-gradient(center top, rgba(144, 137, 55, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(144, 137, 55, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(144, 137, 55, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(144, 137, 55, 0.5);
border-top: 5px solid rgba(144, 137, 55, 1.0);
}                
<?php } else { ?>
.widget_meta {
background: transparent;
border: none; 
}
<?php } ?>

<?php if ($custom_menu_background_color == 'purple') { ?>  

.widget_nav_menu {
background-color: rgba(90,45,52, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(90,45,52, 0.2)));
		background: -moz-linear-gradient(center top, rgba(90,45,52, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(90,45,52, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(90,45,52, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(90,45,52, 0.5);
border-top: 5px solid #5a2d34;
}                 
<?php } elseif ($custom_menu_background_color == 'blue') { ?>
.widget_nav_menu {
background-color: rgba(38,73,107, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(38,73,107, 0.2)));
 		background: -moz-linear-gradient(center top, rgba(38,73,107, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(38,73,107, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(38,73,107, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(38,73,107, 0.5);
border-top: 5px solid #26496b;
}                
<?php } elseif ($custom_menu_background_color == 'yellow') { ?>
.widget_nav_menu {
background-color: rgba(144, 137, 55, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(144, 137, 55, 0.2)));
		background: -moz-linear-gradient(center top, rgba(144, 137, 55, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(144, 137, 55, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(144, 137, 55, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(144, 137, 55, 0.5);
border-top: 5px solid rgba(144, 137, 55, 1.0);
}                
<?php } else { ?>
.widget_nav_menu {
background: transparent;
border: none; 
}
<?php } ?>

<?php if ($search_widget_background_color == 'purple') { ?>  

.widget_search {
background-color: rgba(90,45,52, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(90,45,52, 0.2)));
		background: -moz-linear-gradient(center top, rgba(90,45,52, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(90,45,52, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(90,45,52, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(90,45,52, 0.5);
border-top: 5px solid #5a2d34;
}                 
<?php } elseif ($search_widget_background_color == 'blue') { ?>
.widget_search {
background-color: rgba(38,73,107, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(38,73,107, 0.2)));
 		background: -moz-linear-gradient(center top, rgba(38,73,107, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(38,73,107, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(38,73,107, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(38,73,107, 0.5);
border-top: 5px solid #26496b;
}                
<?php } elseif ($search_widget_background_color == 'yellow') { ?>
.widget_search {
background-color: rgba(144, 137, 55, 0.15);
background: -webkit-gradient(linear, center bottom, center top, from(transparent), to(rgba(144, 137, 55, 0.2)));
		background: -moz-linear-gradient(center top, rgba(144, 137, 55, 0.2) 0%, transparent 100%);
 		background: -o-linear-gradient(top, rgba(144, 137, 55, 0.2), transparent);
 		filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='rgba(144, 137, 55, 0.2)', EndColorStr='transparent');
border: 1px solid rgba(144, 137, 55, 0.5);
border-top: 5px solid rgba(144, 137, 55, 1.0);
}                
<?php } else { ?>
.widget_search {
background: transparent;
border: none; 
}
<?php } ?>


.footer-widgets .widget,
.footer-widgets .widget_nav_menu,
.footer-widgets .widget_meta,
.footer-widgets .widget_categories,
.footer-widgets .widget_calendar,
.footer-widgets .widget_archive {
  background: transparent;
  border: none; 
}

<?php if ($color_of_footer == 'purple') { ?>  
.footer-widgets { 
background-color: rgba(90,45,52, 0.15);
background: rgba(90,45,52, 0.15) url("<?php echo get_template_directory_uri() ; ?>/images/bg-body-pattern.png") center top;
border: 1px dotted #1d1d1d;       
margin: 0 auto;  
border-radius: 8px;
border-bottom-left-radius: 22px;
border-bottom-right-radius: 22px;
}

.footer-widgets-border { 
padding-top: 20px;
}

.site-info {
text-align: center;
padding-top: 10px;
} 
              
<?php } elseif ($color_of_footer == 'blue') { ?>
.footer-widgets { 
background-color: rgba(38,73,107, 0.15);
background: rgba(38,73,107, 0.15) url("<?php echo get_template_directory_uri() ; ?>/images/bg-body-pattern.png") center top;
border: 1px dotted #1d1d1d;       
margin: 0 auto;   
border-radius: 8px;
border-bottom-left-radius: 22px;
border-bottom-right-radius: 22px;
}

.footer-widgets-border { 
padding-top: 20px;
}

.site-info {
text-align: center;
padding-top: 10px;
}               
<?php } elseif ($color_of_footer == 'yellow') { ?>
.footer-widgets { 
background-color: rgba(144, 137, 55, 0.15);
background: rgba(144, 137, 55, 0.15) url("<?php echo get_template_directory_uri() ; ?>/images/bg-body-pattern.png") center top;
border: 1px dotted #1d1d1d;       
margin: 0 auto; 
border-radius: 8px;
border-bottom-left-radius: 22px;
border-bottom-right-radius: 22px;
}

.footer-widgets-border { 
padding-top: 20px;
}

.site-info {
text-align: center;
padding-top: 10px;
}                            
<?php } else { ?>

.footer-widgets {       
border: 1px dotted #1d1d1d;
margin: 0 auto; 
border-radius: 8px;
border-bottom-left-radius: 22px;
border-bottom-right-radius: 22px;
background: rgba(255,255,255, 0.255) url("<?php echo get_template_directory_uri() ; ?>/images/bg-body-pattern.png") center top;
}

.footer-widgets-border { 
padding-top: 20px;
}

.site-info {
text-align: center;
padding-top: 10px;
}
<?php } ?>


</style>
